Package fr.gouv.vitam.worker.core.plugin.purge

# Class PurgeUnitCollectPlugin

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.purge.PurgeUnitPlugin
fr.gouv.vitam.worker.core.plugin.purge.PurgeUnitCollectPlugin

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `DeletionActionDeleteUnitPlugin`

public class PurgeUnitCollectPlugin extends PurgeUnitPlugin
Purge unit plugin.

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.worker.core.plugin.purge.PurgeUnitPlugin

  `ARCHIVAL_AGENCY_IDENTIFIER`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `PurgeUnitCollectPlugin(String actionId)`
  Default constructor
  `protected`
  `PurgeUnitCollectPlugin(String actionId, PurgeDeleteCollectService purgeDeleteCollectService, PurgeReportService purgeReportService, LogbookLifeCyclesClientFactory llfcClientFactory)`
  Test only constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteUnit(Map<String,com.fasterxml.jackson.databind.JsonNode> unitsById, Set<String> unitsToDelete, HandlerIO handler)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.purge.PurgeUnitPlugin

  `checkMandatoryIOParameter, execute, executeList, extractPersistentIdentifiersFromUnit, mapJsonToPersistentIdentifierModel`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PurgeUnitCollectPlugin

    public PurgeUnitCollectPlugin(String actionId)
    Default constructor
    Parameters:
      `actionId` -

  - ### PurgeUnitCollectPlugin

    protected PurgeUnitCollectPlugin(String actionId, PurgeDeleteCollectService purgeDeleteCollectService, PurgeReportService purgeReportService, LogbookLifeCyclesClientFactory llfcClientFactory)
    Test only constructor

- ## Method Details

  - ### deleteUnit

    public void deleteUnit(Map<String,com.fasterxml.jackson.databind.JsonNode> unitsById, Set<String> unitsToDelete, HandlerIO handler) throws ProcessingStatusException
    Specified by:
      `deleteUnit` in class `PurgeUnitPlugin`
    Throws:
      `ProcessingStatusException`